curl --request GET \
--url https://qwoty.app/api/catalogs/{id} \
--header 'Authorization: <authorization>'{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Standard Products",
"api_name": "standard_products",
"reference": "CAT-001",
"description": "Main product catalog",
"is_active": true,
"id_crm": "crm_123",
"id_erp": "erp_456",
"id_accounting": "acc_789",
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
}
Retrieve a specific catalog by ID
curl --request GET \
--url https://qwoty.app/api/catalogs/{id} \
--header 'Authorization: <authorization>'{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Standard Products",
"api_name": "standard_products",
"reference": "CAT-001",
"description": "Main product catalog",
"is_active": true,
"id_crm": "crm_123",
"id_erp": "erp_456",
"id_accounting": "acc_789",
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
}
Bearer qwoty_your_tokencurl https://qwoty.app/api/catalogs/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer qwoty_your_token"
Show Catalog Object
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Standard Products",
"api_name": "standard_products",
"reference": "CAT-001",
"description": "Main product catalog",
"is_active": true,
"id_crm": "crm_123",
"id_erp": "erp_456",
"id_accounting": "acc_789",
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
}
{
"success": false,
"error": "Catalog not found"
}
Was this page helpful?